Bug 815228 - [abrt] python-2.7.3-1.fc16: dlmmap_locked: Process /usr/bin/python2.7 was killed by signal 7 (SIGBUS)
[abrt] python-2.7.3-1.fc16: dlmmap_locked: Process /usr/bin/python2.7 was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:754dbd21b7fa5b5fcc9307e3ccf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 03:37 EDT by WhoEver
Modified: 2013-02-13 09:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:03:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.40 KB, text/plain)
2012-04-23 03:37 EDT, WhoEver
no flags Details

  None (edit)
Description WhoEver 2012-04-23 03:37:46 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/cherrytree
crash_function: dlmmap_locked
executable:     /usr/bin/python2.7
kernel:         3.3.1-3.fc16.i686.PAE
pid:            28211
pwd:            /home/wh0ever
reason:         Process /usr/bin/python2.7 was killed by signal 7 (SIGBUS)
time:           Mon 23 Apr 2012 12:35:44 AM PDT
uid:            1000
username:       wh0ever
var_log_messages: Apr 23 00:35:44 PC abrt[28212]: Saved core dump of pid 28211 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-04-23-00:35:44-28211 (9293824 bytes)
xsession_errors: 

backtrace:      Text file, 61851 bytes
build_ids:      Text file, 4387 bytes
dso_list:       Text file, 9767 bytes
maps:           Text file, 23433 bytes

environ:
:DREAL_TECHNO_NAME=/usr/lib/alliance/etc/cmos.dreal
:XDG_VTNR=1
:MANPATH=:/usr/lib/alliance/man:/usr/local/share/man:/usr/share/man:/usr/lib/alliance/man
:VH_PATSFX=pat
:TPD_GLOBAL=/usr/share/toped/
:XDG_SESSION_ID=2
:HOSTNAME=PC.HERE
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:MBK_IN_PH=ap
:HARDWARE_PLATFORM=i386
:LFC_HOST=prod-lfc-shared-central.cern.ch
:XSCH_PARAM_NAME=/usr/lib/alliance/etc/xsch.par
:SHELL=/bin/bash
:TERM=dumb
:WISECONFIGDIR=/usr/share/wise2/
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ba75e23478fd1ad3d431661e00000019-1335125636.959261-975174415
:LCG_RFIO_TYPE=dpm
:SGE_CELL=default
:NCARG_FONTCAPS=/usr/lib/ncarg/fontcaps
:VH_MAXERR=10
:QTDIR=/usr/lib/qt-3.3
:RDS_OUT=cif
:GNOME_KEYRING_CONTROL=/tmp/keyring-KuneGd
:QTINC=/usr/lib/qt-3.3/include
:XFSM_PARAM_NAME=/usr/lib/alliance/etc/xfsm.par
:GRAAL_TECHNO_NAME=/usr/lib/alliance/etc/cmos.graal
:ALLIANCE_TOP=/usr/lib/alliance
:TPD_LOCAL=/home/wh0ever
:IMSETTINGS_MODULE=none
:USER=wh0ever
:LD_LIBRARY_PATH=/usr/lib/alliance/lib
:LFC_CONNTIMEOUT=15
:USERNAME=wh0ever
:NCARG_GRAPHCAPS=/usr/lib/ncarg/graphcaps
:PLPLOT_LIB=/usr/share/EMBOSS
:LFC_CONRETRY=2
:MAIL=/var/spool/mail/wh0ever
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/lib/alliance/bin:/usr/libexec/sdcc:/home/wh0ever/.local/bin:/home/wh0ever/bin
:DESKTOP_SESSION=gnome
:MBK_SCALE_X=100
:QT_IM_MODULE=xim
:MBK_CATAL_NAME=CATAL
:PWD=/home/wh0ever
:NCARG_ROOT=/usr
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:MBK_OUT_PH=ap
:GNOME_KEYRING_PID=1910
:LANG=en_US.UTF-8
:NCARG_DATABASE=/usr/lib/ncarg/database
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LFC_CONRETRYINT=1
:MBK_SPI_MODEL=/usr/lib/alliance/etc/spimodel.cfg
:GENVIEW_TECHNO_NAME=/usr/lib/alliance/etc/cmos.genview
:RDS_IN=cif
:SGE_ROOT=/usr/share/gridengine
:LOADEDMODULES=
:KDEDIRS=/usr
:MBK_OUT_LO=vst
:MBK_VSS=vss
:GDMSESSION=gnome
:NCARG_LIB=/usr/lib/ncarg
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:VH_BEHSFX=vbe
:HISTCONTROL=ignoredups
:EMBOSS_ACDROOT=/usr/share/EMBOSS/acd
:NCARG_NCARG=/usr/share/ncarg
:HOME=/home/wh0ever
:XDG_SEAT=seat0
:SHLVL=1
:MBK_C4_LIB=./cellsC4
:GDL_PATH=+/usr/share/gnudatalanguage
:MBK_VDD=vdd
:EMBOSS_DATA=/usr/share/EMBOSS/data
:MBK_TARGET_LIB=/usr/lib/alliance/cells/sxlib
:RDS_TECHNO_NAME=/usr/lib/alliance/etc/cmos.rds
:LCG_GFAL_INFOSYS=lcg-bdii.cern.ch:2170
:VH_DLYSFX=dly
:LOGNAME=wh0ever
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JQH2wPoXCT,guid=5b31ad9196172588989edb2500000046
:MODULESHOME=/usr/share/Modules
:EMBOSS_DOCROOT=/usr/share/EMBOSS/doc
:MBK_IN_LO=vst
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:EMBOSS_DATABASE_DIR=/usr/share/EMBOSS/data
:MBK_WORK_LIB=.
:GFAL_PLUGIN_LIST=libgfal_plugin_srm.so:libgfal_plugin_rfio.so:libgfal_plugin_lfc.so:libgfal_plugin_dcap.so:
:XPAT_PARAM_NAME=/usr/lib/alliance/etc/xpat.par
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/wh0ever
:ELP_TECHNO_NAME=/usr/lib/alliance/etc/prol.elp
:MBK_CATA_LIB=.:/usr/lib/alliance/cells/sxlib:/usr/lib/alliance/cells/dp_sxlib:/usr/lib/alliance/cells/rflib:/usr/lib/alliance/cells/rf2lib:/usr/lib/alliance/cells/ramlib:/usr/lib/alliance/cells/romlib:/usr/lib/alliance/cells/pxlib:/usr/lib/alliance/cells/padlib
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-wh0ever-25NIMi/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1918,unix/unix:/tmp/.ICE-unix/1918
:SSH_AUTH_SOCK=/tmp/keyring-KuneGd/ssh
:GPG_AGENT_INFO=/tmp/keyring-KuneGd/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/xfce4-appfinder.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=15718
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-appfinder/cherrytree/15718-11-PC.HERE_TIME15777573

event_log:
:2012-04-23-00:36:49> Analyzing coredump 'coredump'
:2012-04-23-00:36:54  Coredump references 107 debuginfo files, 13 of them are not installed
:2012-04-23-00:36:54  Setting up yum repositories
:2012-04-23-00:36:54  Can't setup updates-debuginfo: [Errno 28] No space left on device, disabling
:2012-04-23-00:36:54  Can't setup updates-testing-debuginfo: [Errno 28] No space left on device, disabling
:2012-04-23-00:36:54  Can't setup fedora-debuginfo: [Errno 28] No space left on device, disabling
:2012-04-23-00:36:54  Looking for needed packages in repositories
:2012-04-23-00:36:54  Can't find packages for 13 debuginfo files
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/84/b057caeb7f80b34a00c58b3684cc85c66651c3.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/f8/52c00fb0bddaffb263c9842443bd0acbfeb019.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/64/8e571c9a9ca38d9f1f6b10843ecfb0bb85d398.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/b7/9661b2cc5e124973d22cc4d870b1b91440ea82.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/be/119786f51ef761660914d7a1fc17f77a84c96d.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/19/8dc33ea27991425d6558d1b688404e16aa09ac.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/64/64193ae96858424159ae9c6564c8d80ec4fd4d.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/78/35912e1b97f0d900e09cc800aa77859afef718.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/31/329c4a0b29ae96fca2f338d45fc3f930f922bd.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/45/92028aa467b91e0a0a3f98fbcd27760ab2862c.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/fe/64d95a2122395fbb204525bd57dc57a902f6e2.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/1e/8f2d68270417ff7a03630cad43ca8de6eea627.debug
:2012-04-23-00:36:54  Missing debuginfo file: /usr/lib/debug/.build-id/14/7532c7c76126a6537218336415782f5b5071ef.debug
:2012-04-23-00:36:54  Generating backtrace
:2012-04-23-00:36:57  Backtrace is generated and saved, 61852 bytes
:2012-04-23-00:37:23> Element 'xsession_errors' saved
:2012-04-23-00:37:23> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 918e18d7-2304-4884-a811-f758b57548b4
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 6823.52
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3401
:System Memory: 7939
:System Swap: 4927
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.1-3.fc16.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:256:4163:33869) pci, agpgart-intel, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4172:32804:5339:0) pci, firewire_ohci, FIREWIRE, TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
:(4147:224:5339:224) pci, ehci_hcd, USB, USB 2.0
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4147:53:5339:53) pci, ohci_hcd, USB, USB
:(32902:7202:4163:33869) pci, i801_smbus, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7242:4163:33869) pci, None, PCI/ISA, H67 Express Chipset Family LPC Controller
:(4147:404:65535:65535) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(13192:33:0:0) pci, None, PCI/PCI, HB6 Universal PCI-PCI bridge (non-transparent mode)
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(4332:33081:5339:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4245:13586:4245:13586) pci, sata_sil, STORAGE, SiI 3512 SATALink Controller
:(4358:1045:4163:33679) pci, pata_via, STORAGE, M5A88-V EVO
:(32902:258:4163:33869) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7196:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:9294:4163:33869) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7192:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4163:33819) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(32902:7194:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(4147:53:5339:53) pci, ohci_hcd, USB, USB
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pc-lv_root / ext4 4096 4096 13081819 642259 0 3276800 1814019 1814019
:/dev/sda2 /boot ext4 1024 1024 508745 178563 152963 128016 127692 127692
:/dev/mapper/vg_pc-lv_home /home ext4 4096 4096 107476161 105742263 100362577 26902528 26897430 26897430
:
Comment 1 WhoEver 2012-04-23 03:37:57 EDT
Created attachment 579430 [details]
File: backtrace
Comment 2 Dave Malcolm 2012-04-23 11:41:23 EDT
Thanks for filing this bug report.

How reproducible is this bug?

Looking at the backtrace, it crashed with a bus error within ffi_closure_alloc whilst allocating a callback thunk for ctypes whilst importing ctypes: probably the single one it allocates at import (see bug 814391).
Comment 3 Fedora End Of Life 2013-01-16 08:19:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 09:04:02 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.